package com.bwie.bill.controller;

import com.bwie.bill.service.BillService;
import com.bwie.common.domain.Bill;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class BillController {
    @Autowired
    private BillService billService;

   @PostMapping("/add")
    public Result add(Bill bill){
       Result add = billService.add(bill);
       System.out.println(add);
       return add;
   }
   @PostMapping("/list")
    public List<Bill> list(){
       List<Bill> bills = billService.selectAll();
       for (Bill bill : bills) {
           System.out.println(bill);
       }
       return bills;

   }
}
