package com.bwie.bill.service.impl;

import com.bwie.bill.mapper.BillMapper;
import com.bwie.bill.service.BillService;
import com.bwie.common.domain.Bill;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BillServiceImpl implements BillService {
    @Autowired
    private BillMapper billDao;

    @Override
    public Result add(Bill bill) {
        Integer i = billDao.add(bill);
        if(i>0){
            return Result.success(200,"成功");
        }
        return Result.error(500,"失败");
    }

    @Override
    public List<Bill> selectAll() {
        return billDao.selectAll();
    }
}
